GET
/
v1
/
learning
/
learn
/
instances
/
{instanceId}
/
runtime
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'

const client = new TxAgentKitClient({
  token: process.env.TX_AGENT_KIT_TOKEN
})

const response = await client.traceLearn.getTraceLearnLessonInstanceRuntime({
  instanceId: process.env.TX_AGENT_KIT_INSTANCE_ID ?? "instanceId",
})
{
  "instance": {
    "instanceId": "<string>",
    "skillId": "<string>",
    "skillTitle": "<string>",
    "subjectId": "<string>",
    "blockCount": 123,
    "preQuestionCount": 123,
    "transferQuestionCount": 123,
    "expiresAt": "<string>",
    "subjectMismatch": true
  },
  "blocks": [
    {
      "ordinal": 123,
      "engineKind": "<string>",
      "payload": "<unknown>",
      "allowHints": true,
      "maxRetries": 123
    }
  ],
  "preQuestions": [
    {
      "id": "<string>",
      "questionVersionId": "<string>",
      "subjectId": "<string>",
      "skillId": "<string>",
      "answerMode": "<string>",
      "answerKind": "<string>",
      "interactionMode": "<string>",
      "prompt": "<string>",
      "options": [
        "<string>"
      ],
      "answerKey": {},
      "explanation": "<string>",
      "expectedTimeSeconds": 123,
      "passage": "<string>",
      "clozeTemplate": "<string>",
      "clozeBlanks": [
        {
          "id": "<string>",
          "options": [
            "<string>"
          ]
        }
      ],
      "matchingLeftLabel": "<string>",
      "matchingRightLabel": "<string>",
      "matchingLeftItems": [
        "<string>"
      ],
      "matchingRightOptions": [
        "<string>"
      ],
      "sequenceChips": [
        {
          "id": "<string>",
          "label": "<string>"
        }
      ],
      "stimulus": "<unknown>"
    }
  ],
  "transferQuestions": [
    {
      "id": "<string>",
      "questionVersionId": "<string>",
      "subjectId": "<string>",
      "skillId": "<string>",
      "answerMode": "<string>",
      "answerKind": "<string>",
      "interactionMode": "<string>",
      "prompt": "<string>",
      "options": [
        "<string>"
      ],
      "answerKey": {},
      "explanation": "<string>",
      "expectedTimeSeconds": 123,
      "passage": "<string>",
      "clozeTemplate": "<string>",
      "clozeBlanks": [
        {
          "id": "<string>",
          "options": [
            "<string>"
          ]
        }
      ],
      "matchingLeftLabel": "<string>",
      "matchingRightLabel": "<string>",
      "matchingLeftItems": [
        "<string>"
      ],
      "matchingRightOptions": [
        "<string>"
      ],
      "sequenceChips": [
        {
          "id": "<string>",
          "label": "<string>"
        }
      ],
      "stimulus": "<unknown>"
    }
  ],
  "cursor": {
    "index": 1
  },
  "savedProgress": {
    "preAnsweredCount": 1,
    "preCorrectCount": 1,
    "transferAnsweredCount": 1,
    "transferCorrectCount": 1
  },
  "savedResponses": [
    {
      "questionVersionId": "<string>",
      "response": {},
      "answeredAt": "<string>",
      "clientVerdict": true
    }
  ],
  "remediation": {
    "explainer": {
      "explainer": {
        "payloadId": "<string>",
        "kind": "video",
        "title": "<string>",
        "url": "<string>",
        "durationMs": 1,
        "posterUrl": "<string>",
        "captionsUrl": "<string>",
        "chapters": [
          {
            "title": "<string>",
            "startSeconds": 1
          }
        ],
        "tallUrl": "<string>",
        "posterTallUrl": "<string>"
      },
      "forced": true
    },
    "verification": {
      "needCorrect": 1,
      "correctSoFar": 1,
      "afterTransferIndex": 1
    },
    "insertedQuestions": [
      {
        "afterTransferIndex": 1,
        "question": {
          "id": "<string>",
          "questionVersionId": "<string>",
          "subjectId": "<string>",
          "skillId": "<string>",
          "answerMode": "<string>",
          "answerKind": "<string>",
          "interactionMode": "<string>",
          "prompt": "<string>",
          "options": [
            "<string>"
          ],
          "answerKey": {},
          "explanation": "<string>",
          "expectedTimeSeconds": 123,
          "passage": "<string>",
          "clozeTemplate": "<string>",
          "clozeBlanks": [
            {
              "id": "<string>",
              "options": [
                "<string>"
              ]
            }
          ],
          "matchingLeftLabel": "<string>",
          "matchingRightLabel": "<string>",
          "matchingLeftItems": [
            "<string>"
          ],
          "matchingRightOptions": [
            "<string>"
          ],
          "sequenceChips": [
            {
              "id": "<string>",
              "label": "<string>"
            }
          ],
          "stimulus": "<unknown>"
        }
      }
    ],
    "insertedQuestionCount": 1,
    "insertedQuestionCap": 1,
    "exhausted": true,
    "unresolvedWrong": true
  }
}

Path Parameters

instanceId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Success

instance
object
required
blocks
object[]
required
preQuestions
object[]
required
transferQuestions
object[]
required
cursor
object
required
savedProgress
object
savedResponses
object[]
remediation
object